.contact-header {
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 4;
    max-width: 82rem;
    margin: 0 auto;
    padding: 0 1rem;
    height: 65px;
    display: flex;
    align-items: flex-end;
    margin-top: 20px;
}

.contact-header ul {
    display: flex;
    align-items: center;
}

.logo {
    display: flex;
    align-items: center;
    margin-right: 3rem;
}

.logo .images {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
}

.logo img {
    height: 55px;
    grid-column: 1/2;
    grid-row: 1/2;
    margin-right: 0.8rem;
}

.logo img.logo-forDark {
    opacity: 0;
}

.nav-link {
    margin-left: 5.5rem;
    padding: 0 1rem;
    font-weight: 600;
    font-size: 1rem;
    color: var(--black);
    transition: 0.3s;
}

.nav-link:hover {
    color: var(--gold);
}

.nav-link.theme-toggle {
    cursor: pointer;
    font-size: 1.15rem;
}

.theme-toggle .fa-moon {
    display: none;
}

.theme-toggle .fa-sun {
    display: inline;
}

.contact {
    width: 100%;
    overflow: hidden;
}

.contact .contact-form {
    height: 100vh;
    min-height: 700px;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    background-color: var(--white);
}

.contact .contact-form>div {
    grid-column: 1/2;
    grid-row: 1/2;
}

.left {
    width: 100%;
    max-width: 80rem;
    margin: 0 auto;
    padding: 65px 1.5rem 0;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    position: relative;
    z-index: 3;
    margin-top: 15%;
}

.contact-heading h1 {
    font-weight: 600;
    color: var(--black);
    font-size: 3.5rem;
    line-height: 0.9;
    white-space: nowrap;
    margin-bottom: 1.2rem;
}

.contact-heading h1 span {
    color: var(--blue-light);
}

.text {
    color: var(--black);
    line-height: 1.1;
    font-size: 1rem;
}

.text a {
    color: var(--blue-light);
    transition: 0.3s;
    font-size: 1.5rem;

}

.text a:hover {
    color: var(--gold);
}

.forms-wrapper {
    max-width: 32rem;
}

.contact-forms {
    display: grid;
    margin-top: 2.55rem;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 2rem;
    row-gap: 1rem;
}

.input-wraps {
    position: relative;
}

.input-wraps.w-100 {
    grid-column: span 2;
}

.contact-input {
    width: 100%;
    background-color: hsla(208, 50%, 50%, 6.5%);
    /*input bg*/
    padding: 1.5rem 1.35rem calc(0.75rem - 2px) 1.35rem;
    border: none;
    outline: none;
    font-family: inherit;
    border-radius: 20px;
    color: var(--blue-dark);
    font-weight: 600;
    font-size: 0.95rem;
    border: 2px solid transparent;
    box-shadow: 0 0 0 0px hsla(208, 50%, 50%, 14%);
    transition: .3s;
}

.contact-input:hover {
    background-color: hsla(208, 50%, 50%, 14%);
}

.input-wraps label {
    position: absolute;
    top: 50%;
    left: calc(1.35rem + 2px);
    transform: translateY(-50%);
    color: #8c9aaf;
    pointer-events: none;
    transition: .25s;
}

.input-wraps .icon {
    position: absolute;
    right: calc(1.35rem + 2px);
    top: 50%;
    transform: translateY(-50%);
    pointer-events: none;
    color: #8c9aaf;
    font-size: 1.25rem;
    transition: .3s;
}

textarea.contact-input {
    resize: none;
    width: 100%;
    min-height: 150px;
}

textarea.contact-input~label {
    top: 1.2rem;
    transform: none;
}

textarea.contact-input~.icon {
    top: 1.3rem;
    transform: none;
}

.input-wraps.focus .contact-input {
    background-color: var(--white);
    border: 2px solid var(--blue-light);
    box-shadow: 0 0 0 5px hsla(var(--green), 91%, 55%, 0.11);
}

.input-wraps.focus label {
    color: var(--green);
}

.input-wraps.focus .icon {
    color: var(--black);
}

.input-wraps.not-empty label {
    font-size: 0.66rem;
    top: 0.75rem;
    transform: translateY(0);
}

.contact-buttons {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 1rem;
    width: 100%;
    grid-column: span 2;
}

.contact-btn {
    display: inline-block !important;
    padding: 1.1rem 2rem !important;
    background-color: var(--blue-light) !important;
    color: var(--white) !important;
    border-radius: 40px !important;
    border: none !important;
    font-family: inherit !important;
    font-weight: 500 !important;
    font-size: 1rem !important;
    cursor: pointer !important;
    transition: 0.3s !important;
}

.contact-btn:hover {
    background-color: var(--gold) !important;
    color: var(--black) !important;
}

.contact-btn.upload {
    position: relative !important;
    background-color: hsla(208, 50%, 50%, 6.5%) !important;
}

.contact-btn.upload span {
    color: #9ca7b6 !important;
}

.contact-btn.upload:hover {
    background-color: hsla(208, 50%, 50%, 14%) !important;
    color: var(--black) !important;
}

.contact-btn.upload input {
    position: absolute !important;
    width: 100% !important;
    height: 100% !important;
    top: 0 !important;
    left: 0 !important;
    background-color: yellow !important;
    cursor: pointer !important;
    opacity: 0 !important;
}

.right {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    overflow: hidden;
    pointer-events: none;
}

.image-wrapper {
    position: relative;
    grid-column: 2;
}

.image-wrapper .img {
    position: absolute;
    height: 130%;
    width: auto;
    left: 60%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.wave-wrap {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    right: 100%;
    background-color: var(--white);
}

.wave-wrap svg {
    position: absolute;
    height: calc(100% + 10px);
    top: 50%;
    transform: translateY(-50%);
    left: calc(100% - 2px);
}

#wave {
    fill: var(--white);
    height: 100%;
}

.dashed-wave {
    position: absolute;
    z-index: 3;
    height: 130%;
    bottom: 60%;
    left: -28px;
    transform: translateY(50%);
}

#dashed-wave {
    fill: none;
    stroke: var(--black);
    stroke-width: 1px;
    stroke-dasharray: 6.5;
    opacity: 0.8;
}

.contact-header ul li i {
    padding: 5px;
    border: solid 2px var(--blue-light);
    border-radius: 5px;
    background-color: var(--blue-light);
    color: var(--white);
    cursor: pointer;
}

.contact-header ul li i:hover {
    background-color: var(--white);
    color: var(--blue-light);
}

.error-message {
    color: red;
    font-size: 0.8rem;
    display: none;
    /* Hide by default */
}

.input-wraps.error .error-message {
    display: block;
}

.file-list {
    list-style-type: none;
    padding: 0;
    margin-top: 10px;
}

.file-list li {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px 0;
    border-bottom: 1px solid #ccc;
}

.file-list .file-icon-style {
    margin-right: 10px;
    color: var(--blue-light);
}

.file-list button {
    background-color: var(--white);
    color: var(--black);
    border: none;
    padding: 2px 5px;
    border-radius: 3px;
    cursor: pointer;
}

.file-list button:hover {
    background-color: red;
    color: var(--white);
}